org.apache.solr.analytics.request

## Class ExpressionRequest

- java.lang.Object
- - org.apache.solr.analytics.request.ExpressionRequest

- All Implemented Interfaces:
    Comparable<ExpressionRequest>

      public class ExpressionRequest
      extends Object
      implements Comparable<ExpressionRequest>

  Contains name and string representation of an expression.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionRequest(String name, String expressionString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(ExpressionRequest o)`
    `Expression` | `getExpression()`
    `String` | `getExpressionString()`
    `String` | `getName()`
    `void` | `setExpression(Expression expression)`
    `void` | `setExpressionString(String expressionString)`
    `void` | `setName(String name)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionRequest

          public ExpressionRequest(String name,
                                   String expressionString)

      Parameters:
        `name` - The name of the Expression.
        `expressionString` - The string representation of the desired Expression.

  - ### Method Detail

    - #### setExpressionString

          public void setExpressionString(String expressionString)

    - #### getExpressionString

          public String getExpressionString()

    - #### setExpression

          public void setExpression(Expression expression)

    - #### getExpression

          public Expression getExpression()

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### compareTo

          public int compareTo(ExpressionRequest o)

      Specified by:
        `compareTo` in interface `Comparable<ExpressionRequest>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.